aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-unicode-linebreak/APKBUILD
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2016-07-12 15:17:00 +0000
committerFrancesco Colista <fcolista@alpinelinux.org>2016-07-12 15:18:17 +0000
commitf32621aa7fbe2ba779200ea03e929bbe897334f9 (patch)
tree1236918c993e65a3b9be0229c131068657fd1255 /testing/perl-unicode-linebreak/APKBUILD
parent31faa12c2d354a86c62d95738dbc0b842788614f (diff)
downloadaports-f32621aa7fbe2ba779200ea03e929bbe897334f9.tar.gz
aports-f32621aa7fbe2ba779200ea03e929bbe897334f9.tar.bz2
aports-f32621aa7fbe2ba779200ea03e929bbe897334f9.tar.xz
testing/perl-unicode-linebreak: new aport
Diffstat (limited to 'testing/perl-unicode-linebreak/APKBUILD')
-rw-r--r--testing/perl-unicode-linebreak/APKBUILD42
1 files changed, 42 insertions, 0 deletions
diff --git a/testing/perl-unicode-linebreak/APKBUILD b/testing/perl-unicode-linebreak/APKBUILD
new file mode 100644
index 0000000000..b11c6454df
--- /dev/null
+++ b/testing/perl-unicode-linebreak/APKBUILD
@@ -0,0 +1,42 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Francesco Colista <fcolista@alpinelinux.org>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=perl-unicode-linebreak
+_pkgreal=Unicode-LineBreak
+pkgver=2016.003
+pkgrel=0
+pkgdesc="UAX #14 Unicode Line Breaking Algorithm"
+url="http://search.cpan.org/dist/Unicode-LineBreak/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends="perl-mime-charset"
+cpanmakedepends=" "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/N/NE/NEZUMI/$_pkgreal-$pkgver.tar.gz"
+builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ default_prepare || return 1
+
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$builddir"
+ export CFLAGS=$(perl -MConfig -E 'say $Config{ccflags}')
+ make && make test
+}
+
+package() {
+ cd "$builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="57dc12ff0511f9db95a2dbb6304342ca Unicode-LineBreak-2016.003.tar.gz"
+sha256sums="e64e2d990a8cc90f8a387866509c35a93c50b812f5a2e60f3d9deb947a71dc24 Unicode-LineBreak-2016.003.tar.gz"
+sha512sums="c2296ebd87a06c55d95f198ef355566c05257a75a38876c726cebe309f5e6082a7bfd7d86f28505e183e3150313e781a6f1999e8de8b35ee772d94845cd08e2f Unicode-LineBreak-2016.003.tar.gz"